<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.1.0" name="org.eclipse.osbp.dsl.tests.carstore.dtos.mapper.addressdtomapper">
       <implementation class="org.eclipse.osbp.dsl.tests.carstore.dtos.mapper.AddressDtoMapper"/>
       <service>
		<provide interface="org.eclipse.osbp.dsl.dto.lib.IMapper"/>
		  </service>
		  
		<property name="fordto.from.entity" type="String" value="org.eclipse.osbp.dsl.tests.carstore.entities.Address"/>
		<property name="fordto.to.dto" type="String" value="org.eclipse.osbp.dsl.tests.carstore.dtos.AddressDto"/>

		<property name="forentity.from.dto" type="String" value="org.eclipse.osbp.dsl.tests.carstore.dtos.AddressDto"/>
		<property name="forentity.to.entity" type="String" value="org.eclipse.osbp.dsl.tests.carstore.entities.Address"/>
		
		<property name="service.pid" type="String" value="org.eclipse.osbp.dsl.tests.carstore.dtos.mapper.addressdtomapper"/>
		<reference name="mapperAccess" interface="org.eclipse.osbp.dsl.dto.lib.IMapperAccess" 
				cardinality="1..1" policy="static" bind="bindMapperAccess" unbind="unbindMapperAccess"/>
</scr:component>
